> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Competitor Meta Ads Overview

> Latest Meta Ad Library metrics per tracked competitor.



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/dashboards/competitor-meta-ads
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/dashboards/competitor-meta-ads:
    get:
      tags:
        - Dashboards
        - Dashboards
      summary: Get Competitor Meta Ads Overview
      description: Latest Meta Ad Library metrics per tracked competitor.
      operationId: >-
        get_competitor_meta_ads_overview_api_v1_brands__brand_id__dashboards_competitor_meta_ads_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompetitorMetaAdsOverview'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CompetitorMetaAdsOverview:
      properties:
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        competitors:
          items:
            $ref: '#/components/schemas/CompetitorMetaAdMetricRow'
          type: array
          title: Competitors
      type: object
      required:
        - brand_id
        - competitors
      title: CompetitorMetaAdsOverview
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CompetitorMetaAdMetricRow:
      properties:
        competitor_domain:
          type: string
          title: Competitor Domain
        active_ad_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Active Ad Count
        new_ad_count_30d:
          anyOf:
            - type: integer
            - type: 'null'
          title: New Ad Count 30D
        latest_ads:
          items:
            additionalProperties: true
            type: object
          type: array
          title: Latest Ads
        captured_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Captured At
      type: object
      required:
        - competitor_domain
      title: CompetitorMetaAdMetricRow
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````